Erro Epic game via lutris

Estou tentando instalar a Epic game store no manjaro Gnome, faço todos os passos que o Dio usou no tutoria, mas tinha ele funcinando mo POP! mas agora que migrei para o Manjaro não esta funcionando esta dando o seguinte erro: “Lamentamos. Parece que ocorreu um problema na conexão. Vamos continuar a tentar novamente.” e ao clicar no link que aparece na tela aparece a seguinte mensgem> “Lamentamos. Parece que ocorreu um problema na conexão. Vamos continuar a tentar novamente”. e ao clicar abra o seguinte link: Epic Games Technical Support & Customer Service | Epic Games

Alguem já viu este erro, procurei na internet e não achei nada

Não seria algo com Manjaro em si? Alguma dependência ou versão do Wine? Aqui está funcionando normalmente, segundo seu relato em outro sistema também.

Qual a versão do wine que você esta utilizando?

É a 5.21-1.fc33. Resumindo 5.21.